2018 年开源技术 10 大发展趋势
============================================================

### 你是否关注过开源技术的发展趋势？ 

![2018 年开源技术的 10 大发展趋势](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/fireworks-newyear-celebrate.png?itok=6gXaznov "10 open source technology trends for 2018")

图片来源：[Mitch Bennett][10]. [Opensource.com][31] 修改

科技一直在发展，诸如OpenStack，PWAs，Rust，R，认知云，人工智能（AI），物联网等一些新技术正在颠覆我们对世界的固有认知。以下是 2018 年最可能成为主流的开源技术纲要。

### 1\. OpenStack 认可度持续高涨

[OpenStack][12] 本质上是一个云操作平台（系统），它为管理员提供直观友好的控制面板，以便对大量的计算、存储和网络资源进行配置和监管。

目前，很多企业运用 OpenStack 平台搭建和管理云计算系统。得益于其灵活的生态系统、透明度和运行速度，OpenStack 越来越流行。相比其他替代方案，OpenStatic 只需更少的花费便能轻松支持任务关键型应用程序。
但是，复杂的结构以及其对虚拟化、服务器、额外网络资源的严重依赖使得其它一些企业对使用 OpenStack 心存顾虑。另外，想要用好 OpenStack，好的硬件支持和高水平的员工二者缺一不可。

OpenStack 基金会一直在致力于完善他们的产品。不管发布与否的一些小的功能创新，都会解决 OpenStack 的潜在问题。随着其结构复杂性降低，OpenStack 将获取更大认可。加之众多大型软件开发和托管公司以及成千上万会员的支持， OpenStack 在云计算时代前途光明。

### 2\. PWA 或将大热

PWA，即 [增强型网页应用][13]，是技术、设计和网络应用程序接口（web APIs）的集合，它能够在移动浏览器上提供类似应用程序的体验

传统的网页有许多与生俱来的缺点。虽然应用程序提供了一个比网页更加个性化、用户参与度更高的体验，但是却要占用大量的系统资源；并且要想使用应用，你还必须提前下载安装。PWA 则扬长避短，它为浏览器、可变引擎搜索框和其他一些操作作出响应，为用户提供应用程序般的体验。PWA 也能像应用程序一样自动更新显示最新的信息，基于网页的 HTTPS 模式又让其更加安全。PWA 运行于标准容器中，无须安装，只要输入 URL 即可。

现在的移动用户看重便利性和参与度，PWAs 的特性完美契合这一需求，所以 PWA 成为主流是必然趋势。

### 3\. Rust 成开发者新宠

大多数的编程语言都在安全性和控制二者之间折衷，[Rust][14] 是一个例外。Rust 使用广泛的编译时间检查进行 100% 的控制而不影响程序安全性。上一次 [Pwn2Own][15] 竞赛找出了 Firefox C++ 底层实现的许多严重漏洞。如果 Firefox 是用 Rust 编写的，这些漏洞在产品发布之前的编译阶段就会被发现并解决。

Rust 独特的内建单元测试方法使开发者们考虑将其作为首选开源语言。它是 C 和 Python 等其他编程语言有效的替代方案，Rust 可以在不丢失程序可读性的情况下写出安全的代码。总之，Rust 前途光明。

### 4\. R 用户群在壮大

[R][16] 编程语言，是一个与统计计算和图像呈现相关的 [*GUN* 项目][32]。它提供了大量的统计和图形技术，并且可扩展引导。它是 [S][17] 语言的延续。S 语言早已成为统计方法学的首选工具，R 为数据操作、计算和图形显示提供了开源选择。R 语言的另一个优势是对细节的把控和对细微差别的关注。

和 Rust 一样，R 语言也处于上升期。

### 5\. 广义的 XaaS

XaaS 是 ”一切都是服务“ 的缩写，是通过网络提供的各种线上服务的总称。XaaS 的外延正在扩大，软件服务（SaaS），基础设施服务（IaaS） 和平台服务（PaaS）等观念已深入人心，新兴的基于云的服务如网络服务（NaaS），存储服务（SaaS 或StaaS），监控服务（MaaS）以及通信服务（CaaS）等概念也正在普及。我们正在迈向一个 ”一切都是服务“ 的世界。

现在，XaaS 的概念已经延伸到实体企业。著名的例子有 Uber 、Lyft 和 Airbnb，前二者利用新科技提供交通服务，后者提供住宿服务。

高速网络和服务器虚拟化使得强大的计算能力成为可能，这加速了XaaS的发展，2018 年可能是 ”XaaS 年‘’。XaaS 无与伦比的灵活性、可扩展性将推动 XaaS 进一步发展。

### 6\. 容器技术越来越受欢迎

[容器技术][28]，是用标准化方法打包代码的技术，它使得代码能够在任意环境中快速地 ”接入和运行“。容器技术使企业削减花费、更快运行程序。尽管容器技术在 IT 基础结构改革方面的潜力已经表现的很明显，事实上，运用好容器技术仍然是一个难题。

容器技术仍在发展中，技术复杂性随着各方面的进步在下降。最新的技术让容器使用起来像使用智能手机一样简单、直观，更不用说现在的企业需求：速度和灵活性往往能决定业务成败。

### 7\. 机器学习和人工智能的更广泛应用

[机器学习和人工智能][18] 指在没有程序员给出明确的编码指令的情况下，机器具备自主学习并且积累经验自我改进的能力。

随着一些开源技术利用机器学习和人工智能实现尖端服务和应用，这两项技术已经深入人心。

[Gartner][19] 预测，2018 年机器学习和人工智能的应用会更广。其他一些领域诸如数据准备、集成、算法选择、方法选择、模块制造等随着机器学习的加入将会取得很大进步。

全新的智能开源解决方案将改变人们和系统交互的方式，转变由来已久的工作观念。

*   机器交互，像[自助语音聊天程序][29]这样的对话平台，提供“问与答”的体验——用户提出问题，对话平台作出回应。
*   无人驾驶和无人机现在已经家喻户晓了，2018年将会更司空见惯。
*   沉浸式体验的应用不再仅仅局限于视频游戏，在真实的生活场景比如设计、培训和可视化过程中都能看到沉浸式体验的身影。

### 8. 数据区块链将成为主流

自比特币应用数据区块链技术以来，其已经取得了重大进展，并且已广泛应用在金融系统、保密选举、学历验证、等领域中。未来几年，区块链会在医疗、制造业、供应链物流、政府服务等领域中大展拳脚。

数据区块链分布式存储数据信息，这些数据信息依赖于数百万个共享数据库的节点。数据区块不被任意单一所有者控制，并且单个损坏的节点不影响其正常运行，数据区块链的这两个特性让它异常健康、透明、不可破坏。同时也规避了有人从中篡改数据的风险。数据区块链强大的先天优势足够支撑其成为将来主流技术。

### 9.认知云粉墨登场

认识技术，如前所述的机器学习和人工智能，用于为多行业提供简单化和个性化服务。一个典型例子是金融行业的游戏化应用，其为投资者提供严谨的投资建议，降低投资模块的复杂程度。数字信托平台使得金融机构的身份认证过程较以前精简80%，提升了协议遵守率，降低了诈骗率。

认知云技术现在正向云端迁移，借助云，它将更加强大。[IBM Watson][33] 是认知云应用最知名的例子。IBM 的 UIMA 架构是开源的，由 Apache 负责维护。DARPA（美国国防高级研究计划局） 的 DeepDive  项目借鉴 Watson 的机器学习能力，通过不断学习人类行为来增强决断能力。另一个开源平台 [OpenCog][34] ，为开发者和数据科学家开发人工智能应用程序提供支撑。

考虑到实现先进的、个性化的用户体验风险较高，这些认知云平台决定来年时机成熟，再粉墨登场。

### 10.物联网智联万物

物联网（IoT）的核心在于建立小到嵌入式传感器、大至计算机设备的相互连接，让其（“事物”）相互之间可以收发数据。毫无疑问，物联网将会是科技届的下一个 “搅局者”，但物联网本身处于一个不断变化的状态。

物联网最广为人知的产品就是 IBM 和三星合力打造的去中心化P2P自动遥测系统（[ADEPT][20]）。它运用和区块链类似的技术来构建一个去中心化的物联网。没有中央控制设备，”事物“ 之间通过自主交流来进行升级软件、处理bug、管理电源等等一系列操作。

### 开源推动技术创新

[数字中断][30]是当今以科技为中心的时代的常态。在技术领域，开放源代码正在逐渐普及，其在2018将年成为大多数科技创新的驱动力。

此榜单对开源技术趋势的预测有遗漏？在评论区告诉我们吧！

*文章标签：*	   [ `商业` ][25]  [ `年鉴` ][26]  [ `2017开源年鉴` ][27]

### 关于作者

![Sreejith Omanakuttan](https://opensource.com/sites/default/files/styles/profile_pictures/public/pictures/brain_2.jpg?itok=9PkPTyrV)

[**Sreejith Omanakuttan**][21] - 自 2000 年开始编程，2007年开始从事专业工作。目前在 [Fingent][6] 领导开源团队，工作内容涵盖不同的技术层面，从“无聊的工作”（？）到前沿科技。有一套 “构建—修复—推倒重来” 工作哲学。在领英上关注我：https://www.linkedin.com/in/futuregeek/ 

--------------------------------------------------------------------------------

原文链接: https://opensource.com/article/17/11/10-open-source-technology-trends-2018

作者：[Sreejith ][a]
译者：[wangy325](https://github.com/wangy25)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/sreejith
[1]:https://opensource.com/resources/what-is-openstack?intcmp=7016000000127cYAAQ
[2]:https://opensource.com/resources/openstack/tutorials?intcmp=7016000000127cYAAQ
[3]:https://opensource.com/tags/openstack?intcmp=7016000000127cYAAQ
[4]:https://www.rdoproject.org/?intcmp=7016000000127cYAAQ
[5]:https://opensource.com/article/17/11/10-open-source-technology-trends-2018?rate=GJqOXhiWvZh0zZ6WVTUzJ2TDJBpVpFhngfuX9V-dz4I
[6]:https://www.fingent.com/
[7]:https://www.linkedin.com/in/futuregeek/
[9]:https://opensource.com/user/185026/feed
[10]:https://www.flickr.com/photos/mitchell3417/9206373620
[11]:https://creativecommons.org/licenses/by-sa/4.0/
[12]:https://www.openstack.org/
[13]:https://developers.google.com/web/progressive-web-apps/
[14]:https://www.rust-lang.org/
[15]:https://en.wikipedia.org/wiki/Pwn2Own
[16]:https://en.wikipedia.org/wiki/R_(programming_language)
[17]:https://en.wikipedia.org/wiki/S_(programming_language)
[18]:https://opensource.com/tags/artificial-intelligence
[19]:https://sdtimes.com/gartners-top-10-technology-trends-2018/
[20]:https://insights.samsung.com/2016/03/17/block-chain-mobile-and-the-internet-of-things/
[21]:https://opensource.com/users/sreejith
[22]:https://opensource.com/users/sreejith
[23]:https://opensource.com/users/sreejith
[24]:https://opensource.com/article/17/11/10-open-source-technology-trends-2018#comments
[25]:https://opensource.com/tags/business
[26]:https://opensource.com/tags/yearbook
[27]:https://opensource.com/yearbook/2017
[28]:https://www.techopedia.com/2/31967/trends/open-source/container-technology-the-next-big-thing
[29]:https://en.wikipedia.org/wiki/Chatbot
[30]:https://cio-wiki.org/home/loc/home?page=digital-disruption
[31]:https://opensource.com/
[32]:https://en.wikipedia.org/wiki/GNU_Project
[33]:https://en.wikipedia.org/wiki/Watson_(computer)
[34]:https://en.wikipedia.org/wiki/OpenCog